org.springframework.cache.interceptor

## Class CacheableOperation

- java.lang.Object
- - org.springframework.cache.interceptor.CacheOperation
  - - org.springframework.cache.interceptor.CacheableOperation

-     public class CacheableOperation
      extends CacheOperation

  Class describing a cache 'cacheable' operation.
  Since:
    3.1
  Author:
    Costin Leau

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheableOperation()`

  - ### Method Summary

    - ### Methods inherited from class org.springframework.cache.interceptor.CacheOperation

      `equals, getCacheNames, getCondition, getKey, getName, getOperationDescription, hashCode, setCacheName, setCacheNames, setCondition, setKey, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheableOperation

          public CacheableOperation()